@use './styles/navigation-vertical-menu-item.variables' as *;
@use './styles/navigation-vertical-menu-item.mixin' as *;
@use './styles/navigation-vertical-menu-item--level-2.mixin' as *;
@use './styles/navigation-vertical-menu-item--level-3.mixin' as *;
@use './styles/navigation-vertical-menu-item--level-4.mixin' as *;
@use './styles/navigation-vertical-menu-item--level-5.mixin' as *;

:host {
  @include digi-navigation-vertical-menu-item--variables;

  .digi-navigation-vertical-menu-item {
    display: block;

    &[hidden] {
      display: none;
    }
  }

  .digi-navigation-vertical-menu-item__inner {
    position: relative;

    &--combined {

      @supports (display: grid) {
        display: grid;
        grid-auto-flow: column;
        grid-gap: 0;
        grid-template-columns: 1fr auto;
        align-items: stretch;
      }
    }
  }

  .digi-navigation-vertical-menu-item__collapse {

    &--hidden {
      display: none;
    }
  }

  .digi-navigation-vertical-menu-item__icon {
    width: var(--digi--navigation-vertical-menu-item--icon--wrapper--width);
    margin: var(--digi--navigation-vertical-menu-item--icon--margin);
    
  }

  .digi-navigation-vertical-menu-item__text {
    margin-right: auto;
  }

  .digi-navigation-vertical-menu-item__button,
  .digi-navigation-vertical-menu-item__link {
    @include digi-navigation-vertical-menu-item;
  }

  .digi-navigation-vertical-menu-item__toggle-icon {
    position: relative;
    display: flex;
    justify-content: center;
    color: var(--digi--navigation-vertical-menu-item--toggle-icon--color);
    digi-icon-plus, digi-icon-minus, digi-icon {
      --digi--icon--width: var(--digi--navigation-vertical-menu-item--toggle-icon--size);
      --digi--icon--color: var(--digi--navigation-vertical-menu-item--toggle-icon--color);
    }
    

    &::before {
      content: "";
      display: flex;
      position: absolute;
      align-items: center;
      justify-content: center;
      width: var(--digi--navigation-vertical-menu-item--toggle-icon--width);
      height: var(--digi--navigation-vertical-menu-item--toggle-icon--height);
      border-radius: var(--digi--navigation-vertical-menu-item--toggle-icon--width);
      background: var(--digi--navigation-vertical-menu-item--toggle-icon--background);
    }

    > span {
      display: inline-flex;
      position: absolute;
      align-items: center;
      justify-content: center;
      width: var(--digi--navigation-vertical-menu-item--toggle-icon--width);
      height: var(--digi--navigation-vertical-menu-item--toggle-icon--height);
    }
  }

  .digi-navigation-vertical-menu-item__divider {
    margin: var(--digi--navigation-vertical-menu-item--divider--margin);
    border: none;
    border-top: var(--digi--navigation-vertical-menu-item--divider--border);
  }
}

.digi-navigation-vertical-menu-item__icon {
  ::slotted([slot^='icon']) {
    --digi--icon--color: var(--digi--navigation-vertical-menu-item--icon--color);
    --digi--icon--width: var(--digi--navigation-vertical-menu-item--icon--width);
    --digi--icon--height: var(--digi--navigation-vertical-menu-item--icon--height);
  }
}